package org.apache.scaffold.lang;


/**
 * @author Ted Husted
 * @version $Revision: 1.3 $ $Date: 2002/03/05 02:29:24 $
 */
public final class Tokens {


    // ---- Common Action Mapping tokens ---

    public static final String CANCEL   = "cancel";
    public static final String CONTINUE = "continue";
    public static final String DONE     = "done";
    public static final String EMPTY    = "empty";
    public static final String ERROR    = "error";
    public static final String EXIT     = "exit";
    public static final String FAILURE  = "failure";
    public static final String FORWARD  = "forward";
    public static final String LOGON    = "logon";
    public static final String LOGOFF   = "logoff";
    public static final String MENU     = "menu";
    public static final String NEXT     = "next";
    public static final String PREVIOUS = "previous";
    public static final String SUCCESS  = "success";
    public static final String TOKEN    = "token";
    public static final String WELCOME  = "welcome";


    // ---- Common Application Resource tokens ---

    public static final String DATA_ACCESS_DENIED =
        "data.access.denied";

    public static final String DATA_ACCESS_ERROR =
        "data.access.error";

    public static final String DATA_ACCESS_EMPTY =
        "data.access.empty"; // not found

    public static final String DATA_RECORD_INSERTED =
        "data.record.inserted";

    public static final String DATA_RECORD_UPDATED =
        "data.record.updated";

    public static final String DATA_RECORD_DELETED =
        "data.record.deleted";

    public static final String DATA_RECORD_ =
        "data.access.denied";


    // ---- Common Application Resource tokens ---

    public static final String DATA_TRANSFER_ERROR =
        "data.transfer.error";


// ---- End Tokens ----

}

/*
 * ====================================================================
 *
 * The Apache Software License, Version 1.1
 *
 * Copyright (c) 2001 The Apache Software Foundation.  All rights
 * reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The end-user documentation included with the redistribution, if
 *    any, must include the following acknowlegement:
 *       "This product includes software developed by the
 *        Apache Software Foundation (http://www.apache.org/)."
 *    Alternately, this acknowlegement may appear in the software itself,
 *    if and wherever such third-party acknowlegements normally appear.
 *
 * 4. The names "The Jakarta Project", "Scaffold", and "Apache Software
 *    Foundation" must not be used to endorse or promote products derived
 *    from this software without prior written permission. For written
 *    permission, please contact apache@apache.org.
 *
 * 5. Products derived from this software may not be called "Apache"
 *    nor may "Apache" appear in their names without prior written
 *    permission of the Apache Group.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 * ====================================================================
 *
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Apache Software Foundation.  For more
 * information on the Apache Software Foundation, please see
 * <http://www.apache.org/>.
 *
 */
